<script setup lang="ts">
defineOptions({
  name: 'main-layout'
})
</script>

<template>
  <nav aria-label="navbar" class="navbar navbar-expand-lg navbar-dark">
    <div class="d-flex justify-content-between align-items-center w-100">
      <a
        class="navbar-brand"
        href="javascript:void(0)"
        @click="$router.push('/home')"
        ><h1 class="font-zh-h2">業務拜訪活動管理系統</h1></a
      >
      <div
        id="mainNavbarContent"
        class="justify-content-end collapse navbar-collapse"
      >
        <ul class="navbar-nav align-items-center mb-2 mb-lg-0">
          <li class="nav-item dropdown">
            <a
              id="navbarDropdown"
              aria-expanded="false"
              class="dropdownBtn font-zh-small-medium nav-link"
              data-bs-toggle="dropdown"
              role="button"
            >
              基本資料
              <div class="icon-arrow-down-white"></div>
            </a>
            <ul aria-labelledby="navbarDropdown" class="dropdown-menu">
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/basic/product')"
                  >產品
                  <div class="arrow-icon"></div>
                </a>
              </li>
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/basic/department')"
                  >科別
                  <div class="arrow-icon"></div
                ></a>
              </li>
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/basic/rank')"
                  >客戶等級
                  <div class="arrow-icon"></div
                ></a>
              </li>
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/basic/category')"
                  >客戶類別
                  <div class="arrow-icon"></div
                ></a>
              </li>
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/basic/system-category')"
                  >客戶系統別
                  <div class="arrow-icon"></div
                ></a>
              </li>
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/basic/health-insurance-category')"
                  >保健特約類別
                  <div class="arrow-icon"></div
                ></a>
              </li>
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/basic/title')"
                  >客戶職稱
                  <div class="arrow-icon"></div
                ></a>
              </li>
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/basic/main-job')"
                  >主要工作
                  <div class="arrow-icon"></div
                ></a>
              </li>
            </ul>
          </li>
          <li class="nav-item dropdown">
            <a
              id="navbarDropdown"
              aria-expanded="false"
              class="dropdownBtn font-zh-small-medium nav-link"
              data-bs-toggle="dropdown"
              role="button"
              @click="$router.push('/home')"
            >
              客戶維護
              <div class="icon-arrow-down-white"></div>
            </a>
            <ul aria-labelledby="navbarDropdown" class="dropdown-menu">
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/customer-maintain/architecture')"
                  >客戶架構
                  <div class="arrow-icon"></div
                ></a>
              </li>
            </ul>
          </li>
          <li class="nav-item dropdown">
            <a
              id="navbarDropdown"
              aria-expanded="false"
              class="dropdownBtn font-zh-small-medium nav-link"
              data-bs-toggle="dropdown"
              role="button"
              @click="$router.push('/home')"
            >
              業務管理
              <div class="icon-arrow-down-white"></div>
            </a>
            <ul aria-labelledby="navbarDropdown" class="dropdown-menu">
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/business-management/level')"
                  >業務層級
                  <div class="arrow-icon"></div
                ></a>
              </li>
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/business-management/responsibility')"
                  >業務擔當
                  <div class="arrow-icon"></div
                ></a>
              </li>
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/business-management/product-manager')"
                  >產品經理擔當
                  <div class="arrow-icon"></div
                ></a>
              </li>
            </ul>
          </li>
          <li class="nav-item dropdown">
            <a
              id="navbarDropdown"
              aria-expanded="false"
              class="dropdownBtn font-zh-small-medium nav-link"
              data-bs-toggle="dropdown"
              role="button"
              @click="$router.push('/home')"
            >
              業務活動資料登錄
              <div class="icon-arrow-down-white"></div>
            </a>
            <ul aria-labelledby="navbarDropdown" class="dropdown-menu">
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/business-activity/visit-record')"
                  >業務拜訪紀錄
                  <div class="arrow-icon"></div
                ></a>
              </li>
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/business-activity/attendance-record')"
                  >業務出勤紀錄
                  <div class="arrow-icon"></div
                ></a>
              </li>
            </ul>
          </li>
          <li class="nav-item dropdown">
            <a
              id="navbarDropdown"
              aria-expanded="false"
              class="dropdownBtn font-zh-small-medium nav-link"
              data-bs-toggle="dropdown"
              role="button"
              @click="$router.push('/home')"
            >
              統計分析報表
              <div class="icon-arrow-down-white"></div>
            </a>
            <ul aria-labelledby="navbarDropdown" class="dropdown-menu">
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/business-report/visit')"
                  >業務拜訪報表
                  <div class="arrow-icon"></div
                ></a>
              </li>
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/business-report/attendance')"
                  >業務出勤報表
                  <div class="arrow-icon"></div
                ></a>
              </li>
            </ul>
          </li>
          <li class="nav-item dropdown">
            <a
              id="navbarDropdown"
              aria-expanded="false"
              class="dropdownBtn font-zh-small-medium nav-link"
              data-bs-toggle="dropdown"
              role="button"
              @click="$router.push('/home')"
            >
              系統管理
              <div class="icon-arrow-down-white"></div>
            </a>
            <ul aria-labelledby="navbarDropdown" class="dropdown-menu">
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/system-management/user')"
                  >系統使用者管理
                  <div class="arrow-icon"></div
                ></a>
              </li>
              <li>
                <a
                  class="font-zh-button dropdown-item"
                  @click="$router.push('/system-management/business')"
                  >業務擔當導入
                  <div class="arrow-icon"></div
                ></a>
              </li>
            </ul>
          </li>
          <li>
            <a
              class="logout-btn font-zh-small-medium d-flex"
              href="javascript:void(0)"
              @click="$router.push('/')"
              >登出</a
            >
          </li>
        </ul>
      </div>
    </div>
  </nav>
  <router-view />
</template>

<style scoped lang="scss"></style>
